跳转到内容
登录 注册

谷歌学术 API

实时获取来自 Google Scholar 的学术论文检索结果。设置 engine=google_scholar,并在 q 中传入主题或论文标题,即可获得包含作者、引用数和 PDF 链接的结构化出版物列表。

GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
参数类型必填说明
api_keystring是您的 SERP API 密钥
enginestring是必须为 google_scholar
qstring是搜索查询
lrstring否语言限制,格式为 lang_xx
hlstring否界面语言代码
startint否用于分页的结果偏移量
numint否每页结果数量
as_visint否1 表示排除引用,0 表示包含引用
safestring否active 或 off
citesstring否文章唯一 ID,用于触发被引用搜索
as_yloint否纳入结果的最早年份
as_yhiint否纳入结果的最晚年份
scisbdint否1 表示仅摘要,0 表示所有结果
终端窗口
curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"
{
"search_parameters": {
"engine": "google_scholar",
"q": "python"
},
"organic_results": [
{
"position": 1,
"title": "Python for data analysis",
"result_id": "FDc6HiktlqEJ",
"link": "https://example.com/paper.pdf",
"snippet": "This book is concerned with the nuts and bolts of manipulating...",
"publication_info": {
"summary": "W McKinney - 2012 - oreilly.com"
},
"inline_links": {
"cited_by": { "total": 12000, "cites_id": "11234567" }
}
}
]
}